Oct 29, 2011, V5.0.15:
  * This is a final maintainance release of the legacy Virtuoso V5 engine.

    Users are encouraged to upgrade to the Virtuoso V6 engine
    which is the current stable release.

    For CVS users, the V6 engine is located on the V6_0_0-DEVEL branch
    at this time, which will be merged forward soon as the new HEAD.


March 30, 2010, V5.0.14:
  * Database engine
    - Added support for CSV import
    - Added FOAF+SSL login for SQL clients
    - Added OPTIONS for http server
    - Added support for setMaxRows in JDBC driver
    - Added support for JDBC hibernate
    - Added support for unzip_file ()
    - Added swap guard option
    - Fixed deadlock retry
    - Fixed memory leaks
    - Fixed mtx checks for checkpoint and log write
    - Fixed X509ClientVerify flag of 0/1/2/3 to accept self signed or
      optional certificates
    - Fixed several issues with JDBC XA support
    - Fixed use sk_X509_ALGOR_* macros to support OpenSSL 1.0.0
    - Fixed wide character when getting procedure columns information.
    - Fixed remove id from hash before free structure

  * SPARQL and RDF
    - Added support for oData
    - Added uStream cartridge
    - Added slidesix cartridge
    - Added support for Sesame 2 HTTP repository
    - Fixed incorrect codegen of formatter in ssg_select_known_graphs_codegen
    - Fixed do not encode default graph
    - Fixed check if datadump is gz 
    - Fixed detection of n3 and nt formats
    - Fixed regex to remove default ns from XML
    - Fixed run microformats independent of rdfa
    - Fixed bug with UTF-8 encoded strings in box
    - Upgraded to Jena 2.6.2
    - Upgraded to Sesame 2.3.1

  * ODS Applications
    - Added user's ontologies in favorites
    - Added a++ otion in user's pages
    - Added support for WebID
    - Added support for Google map v3
    - Added Register to vsp, php etc users pages
    - Added X.509 create certificate to users pages
    - Added 'Offers', 'Seeks' etc to user pages
    - Added 'Import' to user pages (vsp, php etc)
    - Fixed UI profile
    - Fixed SIOC subscriptions
    - Fixed object properties in favorites
    - Fixed ontology APIs
    - Fixed use newer OAT functions
    - Fixed invitation problem with multiple users
    - Fixed typo in scovo:dimension
    - Fixed image preview


February 03, 2010, V5.0.13:
  * Database engine
    - Added configuration option BuffersAllocation
    - Added configuration option AsyncQueueMaxThreads
    - Added docbook-xsl-1.75.2
    - Added RoundRobin connection support
    - Removed deprecated samples/demos
    - Fixed copyright and license clarification
    - Fixed use MD5 from OpenSSL when possible
    - Fixed issue with XA exception, double rollback, transact timeout
    - Fixed issue reading last chunk in http session
    - Fixed use pipeline client in crawler
    - Fixed accept different headers in pipeline request
    - Fixed do not post when no post parameters
    - Fixed checkpoint messages in log
    - Fixed read after allocated memory
    - Fixed shortened long URLs in the crawlers view to avoid ui breakage
    - Fixed building with external zlib
    - Removed support for deprecated JDK 1.0, 1.1 and 1.2
    - Rebuild jdbc drivers

  * SPARQL and RDF
    - Added initial support for SPARQL-FED
    - Added initial support for SERVICE { ... };
    - Added support for expressions in LIMIT and OFFSET clauses
    - Added support for Google Base, ithalia, revyu
    - Added built-in predicate IsRef()
    - Added new error reporting for unsupported syntax
    - Added rdf box id only serialization; stays compatible with 5/6
    - Added Yelp categories
    - Added support for SPARQL INSERT DATA / DELETE DATA
    - Added support for HAVING in sparql
    - Added special codegen for
      sparql select distinct ?g where { graph ?g { ?s ?p ?o }}
    - Added support for RDFa export
    - Added support for output:maxrows
    - Updated ontologies API
    - Updated iSPARQL application
    - Fixed IRI parts syntax to match SPARQL 1.0 W3C recommendation
    - Fixed support for XMLLiteral
    - Fixed bad box flags for strings for bnodes and types
    - Fixed replace lost filters with equivs that have no spog vars and
      no "good" subequivs.
    - Fixed cnet doublt awol:content
    - Fixed Googlebase query results with multiple entries
    - Fixed Googlebase location info
    - Fixed default sitemap crawling functions/pages
    - Fixed use sparul load instead of soft
    - Fixed make sure version is intact as changes to .ttl file must
      reflect in sparql.sql
    - Fixed missing qualification of aggregate
    - Fixed compilation of ORDER BY column_idz clause in iterator of sponge
      with loop
    - Fixed UNION of SELECTs and for multiple OPTIONALs at one level with
      "good" and "bad" equalities
    - Fixed support for define output:format "JSON"
    - Fixed crash of rfc1808_expand_uri on base without schema
    - Fixed redundant trailing '>' in results of TTL load when IRIs
      contain special chars
    - Fixed "option (score ...)" in a gp with multiple OPTIONAL {...}
    - Fixed when different TZ is used, must find offset and transform via GMT
    - Fixed SPARQL parsing and SQL codegen for negative numbers
    - Fixed some 'exotic' cases of NT outputs

  * ODS Applications
    - Added support for ckeditor
    - Added new popup calendar based on OAT
    - Added VSP and REST implementation for user API
    - Added new API functions
    - Added FOAF+SSL groups
    - Added feed admin rights
    - Added Facebook registration and login
    - Removed support for Kupu editor
    - Removed support for rte editor
    - Removed support for IE 5 and 6 compatibility
    - Fixed users paths to physical location
    - Fixed problem with activity pages


October 16, 2009, V5.0.12:
  * Database engine
    - Added Public Key Infrastructure UI in conductor
    - Added failover/roundrobin support for all client layers
    - Added support for vectors in IN predicate
    - Added various small engine optimizations and enhancements
    - Refactored JDBC driver
    - Imported PCRE version 7.9 from upstream project
    - Fixed XA support
    - Fixed performance of sprintf_more when using large buffers
    - Fixed memory leaks
    - Fixed HTTP various issues with HEAD and POST 
    - Fixed serialization on HTTP connection cache
    - Fixed allow client to run during online backup
    - Fixed small bugs and compiler warnings

  * SPARQL and RDF
    - Added SPARQL graph-level security
    - Added new RDFa parser
    - Added support for Concise Bound Description
    - Added optimization for bif:COUNT
    - Added optimization for OPTIONAL
    - Added support for SCORE_LIMIT in bif:contains
    - Added support for text/n3 mime type
    - Added support for nvarchar, bigint in sparql/rdfviews
    - Added support for exclude-result-prefixes
    - Added support to crawl with multiple threads
    - Added support for NQUAD, JSON and N-Triples
    - Added support for DSA certificates
    - Added MS Docs, Open Office, Google app cartridges
    - Added CNET, YELP, TESCO, ZILLOW cartridges
    - Added Goodrelations, Geonames, Bestbuy cartridges
    - Added Alchemy, Yahoo Boss, Picasa, haudio cartridges
    - Added cache for common ontologies
    - Improved support for rdf:XMLLiteral exp in RDF loaders
    - Fixed handling of special characters in IRI
    - Fixed RDF view generation
    - Fixed and enhanced description.vsp
    - Fixed and enhanced iSPARQL
    - Fixed charset handling for cartridges

  * ODS Applications
    - Added checks for dynamic local
    - Added expiration so sponger can track changes
    - Added support for conversations
    - Added 'Group By' handling for listed messages
    - Added 'Related' section in posts
    - Added new API and Ubiquity commands
    - Added hCard microformat
    - Added Ontology based editing
    - Added OpenSearch support
    - Added support for Smart Folders
    - Fixed openid, FOAF+SSL
    - Fixed upstreaming attachements
    - Fixed RDF gems
    - Fixed UI profile
    - Fixed mail filters
    - Fixed atom-pub protocol
    - Fixed rewrite rules
    - Fixed tag URIs
    - Fixed small bugs


April 22, 2009, V5.0.11:
  * Database engine
    - Added CA functions
    - Added bif to open strses without dumping into temp file
    - Added full duplex flag for ses to allow different threads to do R/W
    - Added initial support for gzipped stream session
    - Added support for HTTP, socks4 and socks5 proxy with optional auth
    - Added support for URIQA methods in http_client
    - Added support for gunzip in http_client
    - Fixed gpf on db:cert_key in certificate info
    - Fixed problem with FT optimization
    - Fixed handling of fractions in datetime
    - Fixed problem with checkpoint rollback which left empty pages
    - Fixed JDBC protocol version
    - Fixed 64bit portability
    - Fixed compiler warnings

  * SPARQL and RDF
    - Added compiler extensions for SPARQL security
    - Added draft of RDF graph-level security metadata functions
    - Added Congress Web service
    - Added Delicious cartridge
    - Added GoodRelations and Barters Ontology
    - Added NYT article cartridge
    - Added Openstreetmap cartridge
    - Added OReilly cartridge
    - Added pptx cartridge
    - Added SCOT
    - Added Technocrati cartridge
    - Added initial infrastructure for new SPARQL result serialization
    - Added meta cartridge for doc links
    - Added support for SSG_VALMODE_SHORT_OR_LONG
    - Added support for define sparql-get:proxy for RDF mappers
    - Added support for nonstandard '[' predicate-object-list ']' '.' 
      syntax at top level of N3 files
    - Added optimization of security checks for public graphs in 
      "allow nothing" storage
    - Added support for user-defined aggregates in SPARQL
    - Added support for XML literals in RDF/XML, SPARQL XML resultset and 
      JSON outputs
    - Enhanced speed of TTL output
    - Fixed SPARQL/SPARUL security
    - Fixed audio, lastfm, meetup, musicbrainz, moat, twitter, xbrl and voID
    - Fixed compilation of SPARQL_SELECT_DISTINCT query returning bad result
    - Fixed conflict between user-defined aggregates and SPARUL aggregates
    - Fixed GPF in rare case when using NOT FROM / NOT FROM NAMED
    - Fixed handling of class instance array
    - Fixed i18N issues with freetext search in RDF
    - Fixed i18N serialization of RDF/XML box
    - Fixed incorrect result when Accept is set to "text/rdf-n3"
    - Fixed passing retvals of variables from OPTION(), like ?SCORE ?x, 
      from deeply nested subselects

  * ODS Applications
    - Added FOAF+SSL
    - Added bibliographical ontology
    - Added Calendar API commands
    - Added Calendar upstream commands
    - Added certificate and key generation
    - Added login X.509 button
    - Added Messaging Services
    - Added relationships ontology
    - Added support for bibo meta data
    - Added support for MS Live Contacts API
    - Added SSL user registration
    - Added SSL access rights
    - Added ubiquity relationship commands
    - Added user keys management
    - Added portable contacts api
    - Fixed handling of X509 certificates
    - Fixed OpenID registration/auth with FOAF+SSL


February 13, 2009, V5.0.10:
  * Database engine
    - Added optimizations
    - Added support for self-signed certificates as well as optional
      client verification to https
    - Added initial support for JDBC 4.x provider
    - Added HTTP ACL to support hit rate limit
    - Added support for filesystems with non-latin1 charsets for filenames
    - Added support for lazy xml entities
    - Added TOP (N, -1) to skip N rows and then return rest of result set
    - Added support for box over 16M
    - Added LiteMode setting so virtuoso can run in restricted mode
    - Added option DisableTcpSocket
    - Added options RdfFreeTextRulesSize and IndexTreeMaps to better
      control memory consumption for small installations
    - Fixed deadlock handler
    - Fixed 64bit issues and compiler warnings
    - Fixed memory leaks
    - Updated documentation

  * SPARQL and RDF
    - Added initial support for foaf+ssl
    - Added support for voID
    - Added new functionality to share page across various dataset setups
      e.g. mbz, bio2rdf, dbpedia etc
    - Added support for SPASQL ExtendedString and RdfBox types in .NET
    - Added SQL_DESC_COL_LITERAL_LANG and SQL_DESC_COL_LITERAL_TYPE to
      translate RDF metadata
    - Added CURIE and UMBEL services
    - Added Amazon S3 DET
    - Added AB-meta,  Hoovers Last.FM, LibraryThing, Meetup, NYT,
      RadioPop, Rhapsody, SalesForce, Twitter, WB cartridges
    - Added Zemanda filter
    - Added support for time literals
    - Added error/warning/info reporting callback to triple feeder
    - Added printer of human-readable turtle files
    - Added support for nvarchar / long nvarchar fields in RDF views
    - Added support of timestamp and nvarchar in rdf schema generation
    - Added SPAR_GRAPH (with SPART_GRAPH_FROM ... and
      SPART_GRAPH_NOT_NAMED subtypes)
    - Added partial support for quad maps with 4 constants and no quad
      map values
    - Added support for SPARUL to write to DAV
    - Added support for cache of matches between datatype IRIs and twobyte codes
    - Added 'find' param in /sparql
    - Added post-processing hook for sponger
    - Added extensions for SPARQL REGEX
    - Added support for multiple phrases per checksum
    - Added lang and encoding arguments to vtb_match
    - Added generating OWL and VDs from DB schema
    - Added option to load inference deferred
    - Added default namespaces
    - Fixed box_hash and box comparison of RDF boxes so they are now
      correctly handled as parts of keys of dictionaries
    - Fixed escaping of weird IRIs in TURTLE and javascript output of
      SPARQL results via SPARQL web service endpoint
    - Fixed code generation of OPTIONAL clause
    - Fixed codegen for cast of SSG_VALMODE_LONG to short of multipart
      sprintf IRI class
    - Fixed support for SPARQL expressions with weird strings in 
      WHERE (...) SQL fragments
    - Fixed tree rewriting when filters are duplicated for branches of
      UNION and there are subqueries inside filters
    - Fixed extended error recovery to allow for wierd relative URIs
      and can skip severe syntax errors upto dot with whitespace
    - Fixed TURLE initialization after running out of limit for namespace
    - Fixed CONTRUCT with expressions in triple patterns
    - Fixed memory leaks
    - Fixed small bugs in cartridges

  * ODS Applications
    - Added new OAuth server, embedded in ODS
    - Added initial support for foaf+ssl in ODS foaf profile
    - Added support for Amazon S3 folders
    - Added create image by URL
    - Added Service Tab in users profile
    - Added new contact fields
    - Added more Ubiquity commands in ODS pages
    - Added interest topics to profile page
    - Added support for export of ATTENDEE(s)
    - Extended FOAF import API
    - Fixed faster FOAF generation
    - Fixed attendee mails
    - Fixed small bugs


November 3, 2008, V5.0.9:
  * Database engine
    - Added optimizations to SQL engine
    - Added optimizations to ODBC and JDBC drivers
    - Added support for very large HTTP client requests
    - Added support for LIKE on LOBs
    - Fixed compiler warnings
    - Fixed memory leaks
    - Fixed IN argument cast
    - Fixed LIKE ... ESCAPE on indexed fields
    - Fixed select TOP N .. order by ... using cursor
    - Fixed log registry settings
    - Fixed scalar subqueries in result sets
    - Fixed checks for empty owners and qualifiers
    - Fixed problem tagging procedures as public
    - Fixed alter table modify column checks for change in nullable flag
    - Fixed small bugs
    - Updated documentation

  * SPARQL and RDF
    - Added optimizations to SPARQL engine
    - Added support for triple option bif:contains .
    - Added application/vnd.ms-excel output option to SPARQL endpoint
    - Added /about/html/<iri> endpoint for html representation of rdf data
    - Added Atom entry, DISCOGS, GETSATISFACTION, SlideShare, XBRL cartridges
    - Added support for option(transitive) for triples
    - Added sparql-auth endpoint similar to /sparql plus digest authentication
    - Added initial support for SPARQL triple options SAME_AS, SAME_AS_S
      SAME_AS_O and SAME_AS_S_O_L
    - Added draft support of TRANSITIVE in SPARQL
    - Added support for UMBEL service
    - Added support for two free-text tables (RO_OBJ and RO_FT)
    - Added support for define sql:describe-mode "SPO"
    - Added support for ORDER BY ?alias where ?alias is used in top-level
      result set
    - Fixed INFERENCE
    - Fixed support for SELECT DISTINCT
    - Fixed transaction problem in rdf_mapper
    - Fixed FROM <x> FROM NAMED <y> ... GRAPH <y> {...}
    - Fixed sparql constructions like T_STOP
    - Fixed automatic grouping result-sets of SPARQL queries using
      subqueries with aggregates
    - Fixed handle blank nodes in proxy service
    - Fixed support for re-compilation of queries if RDF views are changed
    - Fixed small bugs in cartridges

  * ODS Applications
    - Added initial suppport for Ubiquity command set
    - Fixed xhtml validation problem with javascript and ODS bar
    - Fixed sharing UI
    - Fixed subscription
    - Fixed Publish/Subscribe actions
    - Fixed publication errors
    - Fixed JS error and optimize AJAX calls
    - Fixed search and gems bugs
    - Fixed small bugs
  

August 27, 2008, V5.0.8:
  * Database engine
    - Added optimizations to SQL compiler
    - Added re-entrant SQL compiler
    - Added optimizations for identity self joins
    - Added optimizations to JDBC drivers
    - Fixed compiler warnings
    - Fixed unneeded memory allocations in soap calls

  * SPARQL and RDF
    - Added optimizations to SPARQL engine
    - Added SPARQL-BI extensions
    - Added support for TriG format
    - Added support for 'define input:param" and "define input:param-valmode"
    - Added Digg, FriendFeed, OpenLibrary Books, CrunchBase cartridges
    - Added search results feed
    - Added support for bibo:document, foaf:document and sioc:container
    - Added #this to proxy IRIs
    - Added seeAlso for freebase extraction to link with wikipedia
    - Fixed WHERE conditions in BREAKUP
    - Fixed sparql construction for OPTIONAL
    - Fixed calls to startQueryResult/endQueryResult in Sesame2 provider
    - Fixed sponger to not sponge refs to self 
    - Fixed small bugs in cartridges

  * ODS applications
    - Added support for new OAT Map
    - Added subscriptions
    - Added "Province" locator
    - Updated SIOC services namespace
    - Fixed Gems URL
    - Fixed SyncML support
    - Fixed small bugs


July 17, 2008, V5.0.7:
  * Database engine
    - Added optimizations for JDBC batch support
    - Added new connect options for JDBC driver
    - Added ODBC extensions to retrieve SPARQL metadata
    - Updated testsuite
    - Fixed JDBC memory footprint
    - Fixed costs calc for tables
    - Fixed memory leaks
    - Fixed support of exists ( ... union ... )
    - Fixed extending database when disk full
    - Fixed safety and argument checking of build-in functions
    - Fixed ODBC connect threading problem
    - Small bugfixes

  * SPARQL and RDF
    - Added SPARQL/SPARUL optimizations
    - Added Sesame2 provider
    - Added Jena provider extinctions
    - Added support for ^{DynamicLocalFormat}^
    - Added support for parallel RDF sponging
    - Added support for 'zeropart' IRI
    - Added dynamic versions of Northwind and TPC-H RDF views
    - Added new cartridges for ISBN, Slidy, YouTube, TheyWorkForYou
    - Added new cartridges for hListing and hResume
    - Fixed SPARUL rowcount
    - Fixed UTF8 support in all RDF use cases
    - Fixed support of alternate RDF indexing schemes
    - Fixed inferencing of subclass and subproperty
    - Small bugfixes

  * ODS applications
    - Added new API controller
    - Added Syncml support
    - Added discussion to OAuth
    - Added Annotation hyperlinking
    - Small bugfixes


March 25, 2008, V5.0.6:
  * Database Engine
    - Added optimizations for bitmap intersection join
    - Added optimizations for numeric operations
    - Added optimizations to cost-based model
    - Added optimizations to locking model
    - Added optimizations for async queue
    - Added support for long data associated with phrases
    - Added support for writing DV_BIN to filesystem
    - Added support for (de)serialization of DV_BIN directly in http
    - Added support for handle system lookup plugin
    - Fixed 64 bit portability issues
    - Fixed issue with 'alter table add column' using a default value
    - Fixed comparison of typed RDF boxes with XML content
    - Fixed deleting files and private graphs from rdf_sink folder
    - Updated documentation
    - Fixed compiler warnings
    - Small bugfixes

  * SPARQL and RDF
    - Added Social Graph mapper
    - Added Calais mapper
    - Added MusicBrainz mapper
    - Added support for NUMERIC in RDF views
    - Added passing content type to mappers
    - Added max cache ttl
    - Improved SQL code generation
    - Fixed proxy URLs
    - Fixed RDFa instanceof, @id and structure
    - Fixed Bugzilla description, xslt and proxy use
    - Fixed XBRL labels and datatypes
    - Fixed XBRL use of / and namespace
    - Fixed issues with datatype conversion
    - Fixed breakup on union of joins with fake joins optimized away
    - Fixed JSON parser to pass the JSON checker test suite
    - Fixed sponger with build-in metadata
    - Fixed attempts to sponge on non-IRI values
    - Fixed various RDF-related serialization issues
    - Small bugfixes
	
  * ODS Applications
    - Added new Framework navigation
    - Added autodiscovery links for RSS and Atom
    - Added support for automatic hyperlinking
    - Added a++ links and mini RDF browser
    - Added invitations in Calendar
    - Added support for Annotea shared bookmarks
    - Added support for discussion to Polls application
    - Fixed IE 6.0 rendering problem
    - Enhanced OpenID support
    - Fixed handling of foaf:Group and RDFa
    - Fixed virtual directory problem
    - Fixed search navigation
    - Fixed issues installing/uninstalling application
    - Fixed stack overflow in xslt transformation
    - Fixed RDF views
    - Fixed Wiki docbook generation
    - Removed deprecated files
    - Small bugfixes


February 11, 2008, V5.0.5:
  * Database Engine:
    - Added support for rehashable dictionary objects
    - Added extra checks in sparql to debug pointers in core
    - Added support to make canonical host e.g. remove :PORT
    - Fixed problem in code generation
    - Fixed group by with grouping col being an exp with an AS alias
    - Fixed expressions in select with top distinct order; must be
      done before the distinct, not before the order by
    - Fixed compiler warnings
    - Fixed documentation

  * SPARQL and RDF
    - Added SVG sponger
    - Added typed literals
    - Added URL rewrite rules for xbrl cartridge
    - Added additional documentation

  * ODS Applications
    - Added support for Meaning of a Tag (MOAT)
    - Added SOAP API for rendering
    - Added vspx escape mode for error summary to allow printing html
    - Added vspx compatibility method
    - Added check for administrative privileges
    - Added rich text editor for gallery comments
    - Added private/public events
    - Added calendar sharing support
    - Fixed problems with OpenID validation
    - Fixed profile page access with direct link
    - Fixed photo delete
    - Fixed missing expand url for import
    - Fixed SIOC RDF/XML and SIOC N3 gem failure


February 01, 2008, V5.0.4:
  * Database Engine
    - Added check for backup/restore status
    - Added file descriptors, wait and exit status for child processes
    - Added optimizations for bitmap indexes and fixed minor bug
    - Added LUBM testsuite
    - Added inxop option for bitmap index
    - Fixed 64 bit range of iri id and ro ids
    - Fixed problems with ftp server
    - Fixed problems with http header
    - Fixed compiler warnings
    - Fixed float underflow in cost model by adjusting cardinality
    - Fixed cache compile samples
    - Fixed using like of any to do the is iri test
    - Fixed no kill of delta rolled back
    - Fixed iri id cache read integrity
    - Fixed reuse of rb has when not resized
    - Fixed bitmaps checks to avoid needless seeks
    - Fixed reassign all search pars before every seek
    - Do not place funcs as early as possible, but at the place with the
      lowest cardinality. Not on by default cause card guess not always
      right
    - Adjusted inx int cost model calculations

  * SPARQL and RDF
    - Added initial SPARQL BI support
    - Added optimizations to SPARQL engine
    - Added support for xsd:float
    - Added XBRL ontologies
    - Added HR-XML resume RTF mapper
    - Added https spongers
    - Added virtdrf:item triples for default quad storage
    - Added convenient syntax __TAG of datatype
    - Fixed expressions for typemin/typemax of date and dateTime
    - Fixed result restriction bits for expressions
    - Fixed restriction bits of unary plus and unary minus expressions
    - Fixed double free in case of 'undefined namespace prefix' error
    - Fixed syntax for '[]' bnode to allow '[ whitespace ]'
    - Fixed eror messages with QUIETCAST
    - Fixed iri names to iri valued ssl and their entailed
    - Fixed problem with inxop bm bad if extra search params supplied,
      as in the case of likes etc other non inx conds. do not count on
      search par fill to know the target.
    - Fixed BREAKUP with more than one triple per row
    - Fixed printing non-nullable results of OPTIONAL as nullable
    - Added draft support for sub-SELECT and sub-ASK in expressions
    - Minor SPARQL fixes

  * ODS Applications
    - Added support for OpenID 2.0
    - Added initial server side OAUTH support
    - Added new ODS uris
    - Added Calendar services
    - Added Calendar alarm scome
    - Added Wiki topic search
    - Added new pager resource
    - Added popup calendar
    - Moved SIOC has_service etc attributes to application Gallery
    - Fixed bad html generation
    - Fixed auto check for new emails
    - Fixed ODS application tab - link "More"
    - Fixed SIOC has_service and other attribute support
    - Fixed bug in soap on empty db
    - Fixed Wiki atom upstreaming url error
    - Fixed Calendar TODO metadata extraction
    - Fixed small UI issues
    - Fixed SIOC data
    - Fixed rdf_sink (VVC) folders
    - Fixed correct event/task details on permalink
    - Fixed wiki docbook export
    - Fixed building creolewiki
    - Moved a++ logic to User Settings level
    - Small bugfixes


December 11, 2007, V5.0.3:
  * Database Engine
     - Added transparent HTTP Content Negotiation
     - Added improvements for deadlock handling
     - Added new PHP hosting module to replace old virtuoso-php-t server
     - Added stored procedure hook DB.DBA.BACKUP_COMPLETED
     - Fixed 64 bit Ole DB provider
     - Fixed bug in updating U_id
     - Fixed bug updating sequences
     - Fixed free-text index transaction size
     - Fixed pop and ftp protocol to allow large file transfers
     - Fixed problem with page freezing/splitting
     - Fixed recursive UPDATE bug
     - Fixed TOP in a DT so scrollable cursor will become static
     - Fixed url rewrite rules
     - Small bugfixes
  * SPARQL and RDF
     - Added support for SPARQL update via HTTP GET/PUT in WebDAV
     - Added Jena, Sesame and Redland interfaces
     - Added Biblionthology for Amazon cartridge
     - Added OAI cartridge
     - Added XBRL cartridge
     - Added Yahoo finance cartridge
     - Added support for option (SOFT EXCLUSIVE)
     - Added support for PROVEN_MATCH
     - Added adaptive dictionary of objects for graph keywords
     - Added functions for running stats on rdf loading
     - Fixed SPARQL describe and construct in post
     - Improved speed of RDF loading
     - Improved support for aggregate expressions
     - Use UTF-8 for RDF serialization
     - Various speedups for SPARQL
  * ODS Applications
     - Added a++ links
     - Added feature to reorder tabs on the main navigation bar
     - Added HTTPS support to ODS
     - Added LDAP to FOAF support
     - Added news feed block
     - Added SCOT tags
     - Added support for ods activity type to opensocial
     - Added table for ods messaging
     - Added trigger for "application added" activity
     - Fixed and extended search
     - Fixed problems with vad loader
     - Fixed problem with atom gems
     - Moved social network container to sioc_forum & relevant triggers
     - Replaced URLs with SIOC Data Space URIs
     - Small bugfixes and enhancements


September 27, 2007, V5.0.2:
  * Enhanced database engine
	- Added support for 64bit bigint
	- Fixed memory leaks
	- Fixed deadlocks in io sections and mutex handling
	- Fixed unusually long transactions in replication
	- Small bugfixes and enhancements
  * Enhanced HTTP/DAV support
	- Added support for RDF sink folders
	- Added support for mapping audio tags
	- Enhanced PHP support including access to DAV
	- Enhanced url_rewrite rules
	- Additional mappers for GDATA, Amazon, Wikipedia, MQL, DOI,
	  LSID URN, FQL, XFN, XFOLK, Yahoo, Facebook and more
	- Fixed inline attachments -/INLINE/ HTTP server pseudo-directory
  * Enhanced SPARQL support
	- Added support for SPARQL FreeText indexes
	- Added support and optimization for SAMETERM
	- Added support for 64bit IRI id
	- Added SIOC has_service etc attributes support
	- Added support for "OFFSET x LIMIT y'
	- Added support for UTF-8 in TURTLE
	- Added SPARUL optimization
	- Added 'define input:same-as' syntax to support owl:sameAs relations
	- Added input:grab_follow_predicate
	- Added support for rdf:value
	- Additional support for xsd:string() and xsd:boolean()
	- Fixed DESCRIBE on unspecified graphs
	- Fixed DESCRIBE for RDF views
	- Fixed DATATYPE
	- Many bugfixes and enhancements
  * Significant updates to ODS applications
	- Added Facebook integration
	- Added <a>++ links
	- Added DH-SHA1 session mode to OpenID Server
	- Added support for JSP
	- Added SocialNetwork data space
	- Fixed dashboard items
	- Fixed integration with Del.ici.ous, Technocrati
	- Many bugfixes and enhancements
  * Added Thalia and Northwind demos and tutorials
  * Enhanced portability
	- Added installation layouts for make install
	- Fixed compiler warnings
	- Fixed 64bit specific problems
	- Fixed platform specific problems


May 31, 2007, V5.0.1:
  * Enhanced cost based optimizer
	- Fixed cost calculation for RDF inf nodes
	- Added larger sample in query cost model sampling
  * Enhanced SPARQL support
	- Added BREAKUP
	- Added CONSTRUCT ... LIMIT ...
	- Significant performance optimizations
	- Added QUAD MAP <...> { ... } group pattern
  * Updated documentation
  * Significant update of all ODS applications
	- Added compliance to latest SIOC vocabulary
	- Added calendar
	- Added OpenID login and registration
	- Added new SIOC subclasses to allow RDF inference
	- Enhancements to existing applications
	- Bug fixes
	

April 06, 2007, V5.0.0:
  * Significant rewrite of database engine resulting in 50%-100%
    improvement on single CPU and in some cases up to 300% on
    multiprocessor CPUs by decreasing resource contention between threads
    and other optimizations.
  * Radical expansion of RDF support including
	- Full Text Indexing of Selected Triples
	- Subclass and Subproperty Support
	- Aggregate Functions
	- Improved Support of XML Schema Type System
	- New SPARQL to Relational Mapping
	- Bug fixes
  * Significant update of all ODS applications
	- Added compliance to latest SIOC vocabulary
	- Added addressbook
	- Enhancements to existing applications
	- Bug fixes
  * New interactive SPARQL tool which can import microformats and
    heuristically load resources that are linked to the queried data.

NOTE: Databases created with earlier versions of Virtuoso will be
      automatically upgraded to Virtuoso 5.0 but after upgrade will not
      be readable with older Virtuoso versions.


December 5, 2006, V4.5.7:
  * Added SPAR_CODEGEN type of SPARQL trees
  * Added SPARQL syntax for IDENTIFIED BY
  * Added new mutex attribute for Linux and other OSes for faster switching
  * Added several enhancements to quad map
  * Added new iri-to-id translation in C
  * Added code to pldebug to allow tracing triggers
  * Added support for 'array of any' and 'array of strings' field types
  * Added new aligned IO buffers for database
  * Added extra information to server status
  * Added additional charset encode/decode functions in hosting gates
  * Added support for system and user DSNs in conductor
  * Added several new bif functions
  * Fixed invocation of SPARQL schema manipulation statements from SQL
  * Fixed RDF parsing errors
  * Fixed JSON result format for value type bnode
  * Fixed parsing error on finding ns URI and local part of qname without ':'
  * Fixed SPARQL_RELOAD_QM_GRAPH() initialization on server startup
  * Fixed proper prefix and removed extra cosing brace
  * Fixed database byte order conversion
  * Fixed GPF when parameters are changed on an open cursor by doing a rebind
  * Fixed some locking problems in atomic mode
  * Fixed SSL certificate when ssl_virtual host is not the default_ssl_host
  * Fixed HTTP cache to match against full URL, not only the path
  * Fixed empty rules for old bison parsers
  * Fixed building without SSL support
  * Fixed problem with ODBC driver on Windows
  * Fixed compiler warnings
  * Fixed checking for cpp during configure
  * Fixed parsing of autoexec.isql file
  * Fixed HTTP logfile formatting
  * Removed XML validation for RDFXML files.
  * Removed link to Classic admin UI


October 27 2006, V4.5.6:
  * Added 'dataspace' SPARQL storage with an example for users/groups
  * Added bookmark gems
  * Added w% and measure of number of buffers in io queue
  * Added getrusage bif
  * Merged latest OAT toolkit fixes
  * Fixed GPF on nesting calls to bif_exec
  * Fixed undefined return value in bh_read_dir
  * Fixed delete of triple so it does not degrade to tablescan
  * Fixed http session handling across threads
  * Fixed VAD_INSTALL to properly report syntax errors during installation
  * Fixed problem in virtual directory and private instances
  * Fixed building vad packages on windows
  * Fixed building php5 hosting
  * Small changes, bugfixes and new icons for Conductor
  * Small changes and bugfixes to ODS applications


October 24 2006, V4.5.5:
  * Added SPARQL editor gadgets
  * Added QUAD-MAP support
  * Added RDS database with SIOC data if UQIQA/Defaulthost is set
  * Added additional SIOC tags to ODS application
  * Added new format output type RDF+XML
  * Added support for SPARQL INSERT and SPARQL DELETE
  * Added new bitmap index
  * Added VACUUM table support
  * Added speedup to buffer replacement algorithm
  * Added Yadis discovery for OpenID
  * Added moblogging url
  * Added HTTP sponge
  * Added SKOS support
  * Added OpenID server
  * Added support for SOAP 1.2 and WSDL 2.0 for SPARQL service
  * Fixed 'SPARQL define input:default-graph-uri ...'
  * Fixed SPARQL web service endpoint, re 'define output:format ...'
  * Fixed SPARQL_RESULT_XML_WRITE_ROW when using formatter
  * Fixed some multi cpu contention by making critical sections shorter
  * Fixed SIOC link path and validation errors
  * Fixed algoritm for deleting CDB data
  * Fixed memory leak in tf_free
  * Fixed ODS toolbar
  * Fixed GeoURL support
  * Fixed tags cloud support
  * Fixed possible deadlock when pages are split
  * Fixed SQLMoreResults on empty datasets
  * Fixed SQLRowCount when using dynamic cursor
  * Fixed INX intersect
  * Updated OAT toolkit to V1.1
  * Updated Mediawiki plugin to include macro support and other enhancements
  * Small changes and bugfixes to virtuoso server
  * Small changes and bugfixes to ODS applications


August 8 2006, V4.5.4:
  * Added support for CREATE VIEW ... AS SPARQL SELECT
  * Added support for SPARQL IN and LIKE operators
  * Added support for SPARL LIMIT, OFFSET and ORDER BY constructions
  * Added new SPARQL demo VAD package using OpenLink Ajax Toolkit (OAT)
  * Added additional support and docs for RDF_TRIPLES and RDF_QUAD
  * Added additional support for ATOM, DAWG, GDATA, GeoURL, SIMILE and SIOC
  * Added multiple plugins for ODS-Wiki
  * Added support for PHP 5.x hosting
  * Added new cost model and join order for procedures and procedure views
  * Fixed SQLColAttribute and SQLColAttributes in ODBC driver
  * Fixed memory leak
  * Fixed FOAF support
  * Small changes and bugfixes to virtuoso server
  * Small changes and bugfixes to ODS applications


June 8 2006, V4.5.3:
  * Added OpenLink Data Spaces (ODS) application framework
  * Added OpenLink Data Spaces (ODS) applications:
	Blog, Bookmark, Briefcase, Community, Discussion,
	FeedManager, Gallery, WebMail, Wiki
  * Added testsuites for XMLA and DAV/RDF
  * Added project files and instructions to build on win64
  * Added support for JavaScript-lite Objects (JSO)
  * Fixed network congestion problem
  * Fixed performance issue loading VAD files
  * Fixed performance issue on triggers
  * Fixed platform-dependent memory leak in free-text indexing
  * Fixed possible stale lock on page
  * Fixed SPARQL access to DAV metadata
  * Fixed recognition of MIME types in RDF
  * Fixed OpenSSL 0.9.8 initialization
  * Fixed syntax and typos
  * Fixed compiler warnings
  * Enhanced RFD/XML parser
  * Enhanced Countries table in demo database
	

April 26 2006, V4.5.2:
  * Added project files and instructions to build on Windows
  * Added patched libtool.macosx for Mac OS X Universal builds
  * Added some extra debugging functions
  * Added support for OpenSSL 0.9.8
  * Updated support for SPARQL, Dav and Wikiv
  * Fixed security issue in XMLA and SPARQL
  * Fixed building ODBC drivers
  * Portability fixes on Unix and Mac OS X
  * Replace old ODBC 2.x types with ODBC 3.x types
  * Fixed compiler warnings
  * Reduced size of demo database


April 11 2006, V4.5.1:
  * Initial release of OpenLink Virtuoso Open Source Edition
